Managed Clusters - Get Access Profile

Lekéri egy felügyelt fürt hozzáférési profilját.
FIGYELMEZTETÉS: Ez az API elavult lesz. Ehelyett használja a ListClusterUserCredentials vagy a ListClusterAdminCredentials parancsot.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/accessProfiles/{roleName}/listCredential?api-version=2026-05-01

URI-paraméterek

Name In Kötelező Típus Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

resourceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-_a-zA-Z0-9]{0,61}[a-zA-Z0-9]$

A felügyelt fürterőforrás neve.

roleName
path True

string

A felügyelt fürt accessProfile erőforrásának neve.

subscriptionId
path True

string (uuid)

A cél-előfizetés azonosítója. Az értéknek UUID-nek kell lennie.

api-version
query True

string

minLength: 1

A művelethez használni kívánt API-verzió.

Válaszok

Name Típus Description
200 OK

ManagedClusterAccessProfile

Az Azure-művelet sikeresen befejeződött.

Other Status Codes

ErrorResponse

Váratlan hibaválasz.

Biztonság

azure_auth

Azure Active Directory Oauth2-folyamat.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

Get Managed Cluster

Mintakérelem

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/accessProfiles/clusterUser/listCredential?api-version=2026-05-01

Mintaválasz

{
  "name": "clusterUser",
  "type": "Microsoft.ContainerService/managedClusters/accessProfiles",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/accessProfiles/clusterUser",
  "location": "location1",
  "properties": {
    "kubeConfig": "a3ViZUNvbmZpZzE="
  }
}

Definíciók

Name Description
createdByType

Az erőforrást létrehozó identitás típusa.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

ManagedClusterAccessProfile

Felügyelt fürt hozzáférési profilja.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

createdByType

Az erőforrást létrehozó identitás típusa.

Érték Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Name Típus Description
info

object

A további információk.

type

string

A további információtípus.

ErrorDetail

A hiba részletei.

Name Típus Description
additionalInfo

ErrorAdditionalInfo[]

A hiba további információi.

code

string

A hibakód.

details

ErrorDetail[]

A hiba részletei.

message

string

A hibaüzenet.

target

string

A hiba célpontja.

ErrorResponse

Hibaválasz

Name Típus Description
error

ErrorDetail

A hibaobjektum.

ManagedClusterAccessProfile

Felügyelt fürt hozzáférési profilja.

Name Típus Description
id

string (arm-id)

Az erőforrás teljesen minősített azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

Az a földrajzi hely, ahol az erőforrás él

name

string

Az erőforrás neve

properties.kubeConfig

string (byte)

Base64 kódolású Kubernetes-konfigurációs fájl.

systemData

systemData

A createdBy és a modifiedBy adatokat tartalmazó Azure Resource Manager-metaadatok.

tags

object

Erőforráscímkék.

type

string

Az erőforrás típusa. Például: "Microsoft.Compute/virtualMachines" vagy "Microsoft.Storage/storageAccounts"

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Típus Description
createdAt

string (date-time)

Az erőforrás-létrehozás időbélyege (UTC).

createdBy

string

Az erőforrást létrehozó identitás.

createdByType

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt

string (date-time)

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy

string

Az erőforrást legutóbb módosító identitás.

lastModifiedByType

createdByType

Az erőforrást legutóbb módosító identitás típusa.